package src;

import java.util.ArrayList;

/**
 *
 * @author fco.dominguez
 * @author juan.alvarez
 */

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.4B74708B-A895-F591-F28F-E360B9E9FC8E]
// </editor-fold> 
public class Continente {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.DD426562-8120-5D3F-15E6-2A6EC9649F3F]
    // </editor-fold> 
    private ArrayList<Territorio> territoriosCon;//variable en la que guardamos los territorios del continente

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.08C85213-7DA6-3BD7-DF31-54977683D35C]
    // </editor-fold> 
    private String nombreContinente;//nombre del continente
    
    private int tropasPremio;//numero de tropas que se asigna al jugador que posea el continente despues de una ronda

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.419ED158-213A-7E96-A213-9FE617BE8EBC]
    // </editor-fold> 
    private Jugador propietarioCont;//jugador propietario del continente

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.EA1E1F6F-B19C-072F-9477-4C100AA5C24A]
    // </editor-fold> 
    public Continente (String nombre, int tropas) {
        nombreContinente = nombre;
        territoriosCon = new ArrayList<Territorio>();
        tropasPremio = tropas;
    }
    
    //constructor en el que creamos todos los continentes
    public Continente (ArrayList<Continente> conti) {
        conti.add(new Continente("América del Norte", 5));
        conti.add(new Continente("América del Sur", 2));
        conti.add(new Continente("Europa", 5));
        conti.add(new Continente("África", 3));
        conti.add(new Continente("Asia", 7));
        conti.add(new Continente("Australia", 2));
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.66601A96-2B22-888A-EF00-D4BDE63AF05C]
    // </editor-fold> 
    public ArrayList<Territorio> getTerritorio () {
        return territoriosCon;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DDD62273-8C7B-E219-4ACB-B1C457B6DBF4]
    // </editor-fold> 
    public void setTerritorio (ArrayList<Territorio> val) {
        territoriosCon = val;
    }
    
    public void setTerritorio (Territorio val) {
        territoriosCon.add(val);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.15D2B5E3-BEB5-6D26-ABAC-F46297B93A25]
    // </editor-fold> 
    public String getNombreContinente () {
        return nombreContinente;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.A3445C3F-4A5D-1B06-C43B-065B4CF0F146]
    // </editor-fold> 
    public void setNombreContinente (String val) {
        nombreContinente = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D0DDB6D1-F09F-E1C1-E8E6-F3910809057E]
    // </editor-fold> 
    public Jugador getPropietarioCont () {
        return propietarioCont;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FD8CF858-0BBD-4106-8D3E-30F145BD992C]
    // </editor-fold> 
    public void setPropietarioCont (Jugador val) {
        propietarioCont = val;
    }
    
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D0DDB6D1-F09F-E1C1-E8E6-F3910809057E]
    // </editor-fold> 
    public int getTropasPremio () {
        return tropasPremio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FD8CF858-0BBD-4106-8D3E-30F145BD992C]
    // </editor-fold> 
    public void setTropasPremio (int val) {
        tropasPremio = val;
    }

}

